package com.zoniot.readingmeter.model;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * Ajax信息
 *
 */
@Data
@ApiModel("返回信息")
@JsonAutoDetect(fieldVisibility=JsonAutoDetect.Visibility.ANY, getterVisibility=JsonAutoDetect.Visibility.NONE)
public class AjaxMessage<T> {

    @ApiModelProperty(value = "返回状态 1成功、0失败", position = 0)
    private int IsSuc;
    @ApiModelProperty(value = "个数", position = 1)
    private long Total;
    @ApiModelProperty(value = "返回内容", position = 2)
    private List<DataMessage> Data;

    public AjaxMessage(List<DataMessage> data) {
        this.Data = data;
        this.Total = data.size();
        this.IsSuc = 1;
    }




}
