package com.zoniot.readingmeter.model;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
@JsonAutoDetect(fieldVisibility=JsonAutoDetect.Visibility.ANY, getterVisibility=JsonAutoDetect.Visibility.NONE)
public class DataMessage {
    @ApiModelProperty("水表表号")
    private String MeterCode;

    @ApiModelProperty("阀门状态")
    private String State;

    @ApiModelProperty("读数")
    private String ReadScale;

    @ApiModelProperty("抄表时间 字符串格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ReadingTime;

    @ApiModelProperty("备注")
    private String Remark;

}
